UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 13: ordinal not in range(128)

Bug #528678 reported by starslights on 2010-02-26
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Roman Shtylman

Bug Description

Binary package hint: ubiquity

Hello,

I run the ISO test alpha3 kubuntu lucid on x86 64 and it can start with live session but not install by cd installer.

When try to do it hang on before the installer appear.

I have try to install via the desktop installer and it worked fine to the menu " geographical place" i have try to retry but without success. I have past this one to the next menu and continue to the end of the config without problem. After have started to install on HDD, it finish with a crash report. I have added it as text.

ProblemType: Bug
Architecture: amd64
Date: Fri Feb 26 21:18:44 2010
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Kubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
Package: ubiquity 2.1.28
ProcEnviron:
 LANGUAGE=
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
SourcePackage: ubiquity
Uname: Linux 2.6.32-14-generic x86_64
---
Architecture: amd64
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Kubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
Package: ubiquity 2.2.5
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Tags: lucid
Uname: Linux 2.6.32-16-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

---
Architecture: amd64
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Kubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
Package: ubiquity 2.2.5
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Tags: lucid
Uname: Linux 2.6.32-16-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

---
Architecture: amd64
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Kubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
Package: ubiquity 2.2.5
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=
 PATH=(custom, no user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Tags: lucid
Uname: Linux 2.6.32-16-generic x86_64
UserGroups:

---
Architecture: amd64
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Kubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100323)
Package: ubiquity 2.2.6
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Tags: lucid
Uname: Linux 2.6.32-16-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

---
Architecture: amd64
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Kubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100323)
Package: ubiquity 2.2.6
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Tags: lucid
Uname: Linux 2.6.32-16-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

---
Architecture: amd64
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Kubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100401)
Package: ubiquity 2.2.11
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-18.27-generic 2.6.32.10+drm33.1
Tags: lucid
Uname: Linux 2.6.32-18-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

starslights (starslights) wrote :
tags: added: iso-testing
starslights (starslights) wrote :

For info, Kubuntu daily build :

lucid-desktop-amd64.iso 26-Feb-2010 05:49 686M Desktop CD for 64-bit PC (AMD64) computers (standard download)

have the same bugs and can't be installed

this error message appear too on the daily :

ubi-console-setup failed with exit code 141

Giuseppe Pennisi (giupenni78) wrote :

With 13-Mar-2010 iso I have the same problem.
"ubi-console-setup failed with exit code 141. Further information may be found in /var/log/syslog. Do you want to try running this step again before continuing? If you do not, your installation may fail entirely or may be broken."

The ubiquity version is 2.1.35.

I noticed that when I start kubuntu ubiquity I have this message:
Configuration file "/root/.kde/share/config/kubuntu-ubiquityrc" not writable.
Please contact your system administrator.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
Giuseppe Pennisi (giupenni78) wrote :

With 16-Mar-2010 iso (ubiquity 2.2.0) the problem persist.

Has been fixed only the alert:
Configuration file "/root/.kde/share/config/kubuntu-ubiquityrc" not writable.
Please contact your system administrator.

Giuseppe Pennisi (giupenni78) wrote :

With ubiquity 2.2.4 the problem persist but when I choose the keyboard layout instead that geographical place.

Traceback (most recent call last):
  File "/usr/lib/ubiquity/plugins/ubi-console-setup.py", line 269, in on_keyboard_layout_selected
    ly = keyboard_names.lang[l]['layouts'][unicode(layout)]
KeyError: u'Italia'

Giuseppe Pennisi (giupenni78) wrote :
starslights (starslights) wrote :

Hello,

The full disk install for the kubuntu lucid beta1 on x86 64, still with same bug as previous.

It make a error "exit 141" on the geographical page in the installation menu.

I have try to ignore but can't finish it.

Live session don't work too, when it bott it come in a terminal windows who ask a name and pass.

This release are more bugged as early while live don't work this time.

Direct download : http://cdimage.ubuntu.com/kubuntu/daily-live/20100318/lucid-desktop-amd64.iso
MD5Sum : 274da210f5ccb02773f34ea70debbfac

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

description: updated

apport information

apport information

apport information

description: updated

apport information

apport information

apport information

apport information

Ho sorry, i don't have mean the report was send while apport-collect have write, failed and not send, so i appolgize

Best Regards

Jonathan Riddell (jr) wrote :

Error in log on comment 14 is

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/filteredcommand.py", line 134, in process_line
    return self.dbfilter.process_line()
  File "/usr/lib/ubiquity/ubiquity/debconffilter.py", line 281, in process_line
    if not input_widgets[0].run(priority, question):
  File "/usr/lib/ubiquity/plugins/ubi-console-setup.py", line 441, in run
    self.ui.set_keyboard_variant(self.db.get(question))
  File "/usr/lib/ubiquity/plugins/ubi-console-setup.py", line 331, in set_keyboard_variant
    index = self.page.keyboard_variant_combobox.findText(QString(unicode(variant)))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 13: ordinal not in range(128)

This PyQt up to its old problems with unicode strings.

Evan (ev) wrote :

This was fixed in the 20100318 CDs.

Changed in ubiquity (Ubuntu):
status: Confirmed → Fix Released
starslights (starslights) wrote :

hi Evan,

I am sorry but it's not fixed, my new info about this bug are from 20100318 version.

So it's always bugged, like Jonathan have see.

Best Regards

Changed in ubiquity (Ubuntu):
status: Fix Released → New
status: New → Confirmed
Jonathan Riddell (jr) wrote :

I couldn't recreate this issue when doing an install in French from 20100318

Giuseppe Pennisi (giupenni78) wrote :

I installed (Italian) 20100318 iso without this issue.

starslights (starslights) wrote :

I will redownload the "20100318" and try again, really strange while i am sure that was this version, I keep in touch

Jonathan Riddell (jr) wrote :

Just grab the beta 1 image, it's been relased now. Thanks for the testing

starslights (starslights) wrote :

I have re-download and try the live session: Swiss-French and it start but there no task bar and menu, only are the widget desktop with the installer in.

Maybe you must try with French languages and Swiss-French keyboard.

For the normal installer, i confirm that the bug still.

Try French, Location "Swiss"

It will bug for sure.

starslights (starslights) wrote :

hi Jonathan,

I have right downloaded the Beta 1 release but it have exactly the same problem.

crash on the geographical selection

Steve Langasek (vorlon) on 2010-03-23
Changed in ubiquity (Ubuntu):
importance: Undecided → High
Evan (ev) wrote :

starslights,

Can you please provide logs from the crash on the absolute latest daily-live CD (http://cdimage.ubuntu.com/kubuntu/daily-live/)?

Please run the installer in debug mode (`ubiquity -d` from a Konsole window). When it crashes, hit alt-f2 to bring up the run dialog and type `apport-collect 528678`

Thanks!

apport information

description: updated

apport information

apport information

apport information

Hello Evan,

I have download the very last one and right when i click on the languages in the installer, it crashed and i send the rapport like you told me.

Best Regards

apport information

description: updated

apport information

apport information

apport information

The second apport-collect are another crash as the one before (menu languages) , this one are on the "geographical menu" crash.

I hope that will help you to fix this really annoying bug :P

Best Regards

Evan (ev) wrote :

starslights,
I've committed a fix for the first set of apport logs that you posted. The second set of logs matches the original bug you reported, the PyQt bindings having difficulty with unicode strings.

summary: - kubuntu Lucid ISO test alpha3 64 bits failed
+ UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 13:
+ ordinal not in range(128)
Evan (ev) wrote :

The relevant part of the log:

Mar 23 12:19:54 debconf (filter): <-- INPUT medium console-setup/variant
Mar 23 12:19:54 debconf (filter): widget found for console-setup/variant
debconf (developer): <-- METAGET console-setup/variant choices-c
debconf (developer): --> 1 Suisse, Suisse - Allemand (Apple-Macintosh), Suisse - Allemand\\, sans touches mortes, Suisse - Alle
mand\\, touches mortes Sun, Suisse - Français, Suisse - Français (Apple-Macintosh), Suisse - Français\\, sans touches mortes, S
uisse - Français\\, touches mortes Sun, Suisse - Obsolète
debconf (developer): <-- GET console-setup/variant
debconf (developer): --> 1 Suisse - Français
Exception caught in process_line:
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/filteredcommand.py", line 134, in process_line
    return self.dbfilter.process_line()
  File "/usr/lib/ubiquity/ubiquity/debconffilter.py", line 281, in process_line
    if not input_widgets[0].run(priority, question):
  File "/usr/lib/ubiquity/plugins/ubi-console-setup.py", line 441, in run
    self.ui.set_keyboard_variant(self.db.get(question))
  File "/usr/lib/ubiquity/plugins/ubi-console-setup.py", line 331, in set_keyboard_variant
    index = self.page.keyboard_variant_combobox.findText(QString(unicode(variant)))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 13: ordinal not in range(128)
Mar 23 12:19:54 ubiquity: ['log-output', '-t', 'ubiquity', '--pass-stdout', '/usr/lib/ubiquity/console-setup/console-setup.postinst', 'configure'] exited with code 141

Evan (ev) wrote :

Roman, can you take a look at this?

Changed in ubiquity (Ubuntu):
assignee: nobody → Roman Shtylman (shtylman)

apport information

description: updated

apport information

apport information

apport information

starslights (starslights) wrote :

New bug on the last daily build.

It don't start anymore as live cd and it come on a terminal, i must run "startx" to load the live desktop, after try the installer i get directly after confirm my languages the bug.

look like another regression :/

Evan (ev) wrote :

starslights,

Please file a different bug for that using alt-f2 `ubuntu-bug ubiquity`, being sure to attach /var/log/installer/dm.

Thanks!

Jonathan Riddell (jr) on 2010-04-16
tags: added: kubuntu
starslights (starslights) wrote :

Fixed on the Kubuntu Desktop amd64 [20100416] , The bug don't still anymore :p

Thanks

Best Regards

Stars

Jonathan Riddell (jr) wrote :

Closing, can't recreate in today's daily, installing using French works fine

Changed in ubiquity (Ubuntu):
status: Confirmed → Fix Released
Hugo Olmedo (hugoelvis) wrote :

hi, this the message that i received when i try tu run openmolar with spanish language support, can anybody help me please!!!

root@desarrollo-allnet:/var/log# openmolar --firstrun
trying to install your environment language es_PY.UTF-8
OpenMolar
 - Version 0.2.0
 - Bzr Revision No. 716
deleting any existing openmolar_demo database.... 35
creating database... 1
setting privileges for 'OMuser'
db created sucessfully
New database created sucessfully.
attempting to loadtables.... localhost 3306 OMuser openmolar_demo password
successfully loaded tables
writing settings to /etc/openmolar/openmolar.conf ...ok
Could not resolve property : Strips1_1
New connection needed
connecting to openmolar_demo on localhost port 3306
checking schema version... loading fee and treatment logic tables
cashbook codes loaded sucessfully
Traceback (most recent call last):
  File "/usr/local/bin/openmolar", line 12, in <module>
    main.run()
  File "/usr/local/lib/python2.6/dist-packages/openmolar/main.py", line 374, in run
    main()
  File "/usr/local/lib/python2.6/dist-packages/openmolar/main.py", line 290, in main
    proceed()
  File "/usr/local/lib/python2.6/dist-packages/openmolar/main.py", line 104, in proceed
    maingui.main(my_app)
  File "/usr/local/lib/python2.6/dist-packages/openmolar/qt4gui/maingui.py", line 4109, in main
    mainWindow = openmolarGui(app) #-- app required for polite shutdown
  File "/usr/local/lib/python2.6/dist-packages/openmolar/qt4gui/maingui.py", line 146, in __init__
    self.addCustomWidgets()
  File "/usr/local/lib/python2.6/dist-packages/openmolar/qt4gui/maingui.py", line 303, in addCustomWidgets
    self.ui.toothPropsWidget = toothProps.tpWidget(self)
  File "/usr/local/lib/python2.6/dist-packages/openmolar/qt4gui/customwidgets/toothProps.py", line 315, in __init__
    self.populateComboBoxes()
  File "/usr/local/lib/python2.6/dist-packages/openmolar/qt4gui/customwidgets/toothProps.py", line 324, in populateComboBoxes
    vals.sort()
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 3: ordinal not in range(128)
root@desarrollo-allnet:/var/log#

To post a comment you must log in.